Subject: Re: [PATCH] ASoC: Add MediaTek MT6660 Speaker Amp Driver

From: Mark Brown <[email-masked]>
Date: Fri, 13 Dec 2019 11:32:41 +0000

On Fri, Dec 13, 2019 at 07:36:15AM +0000, jeff_chang(張世佳) wrote:
> Dear Mark:
> 
> 
> 
>         Thanks for your replying. I consider that there was only one item I should modify. So I kept resending.
> 
> 
> 
>         Please refer my red comment after your comment.

I can't tell what's in red or not, kernel development gets done with
plain text e-mail.  Please fix your mail configuration, it is extremely
difficult to read your messages for this and other reasons.

> The writes to reserved registers should be fine but things like this which looks like it's configuring the input path should just be left at the chip default, we don't want to be configuring for particular boards since the same driver will be used for every board with the chip.
> 
> 
> 
>         The chip default cannot be modified anymore. How can I do if I really need write these setting in our drivers?

Settings should be done through some combination of userspace
configuration at runtime and device tree or ACPI properties.
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel